%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

# Prevent unwanted bytecode stripping by RPM.
%define __strip /bin/true

Name:            whenjobs
Version:         0.0.4
Release:         1
Summary:         Replacement for cron with dependencies

Group:           Development/Libraries
License:         GPLv2+
URL:             http://people.redhat.com/~rjones/whenjobs
Source0:         http://people.redhat.com/~rjones/whenjobs/files/%{name}-%{version}.tar.gz

BuildRequires:   ocaml >= 3.12.0
BuildRequires:   ocaml-ocamldoc
BuildRequires:   ocaml-findlib-devel
BuildRequires:   ocaml-calendar-devel >= 2
BuildRequires:   ocaml-ocamlnet-devel >= 3
BuildRequires:   ocaml-camlp4-devel

# For building manual pages.
BuildRequires:   /usr/bin/perldoc

# Requires camlp4 and ocamlfind at runtime.
Requires:        /usr/bin/ocamlc
Requires:        ocaml-camlp4-devel
Requires:        ocaml-findlib-devel

# Requires mailx for sending email.
Requires:        /usr/bin/mailx


%description
Whenjobs is a powerful but simple cron replacement.

Two key advantages over cron are a simpler syntax for writing rules
and a powerful dependency system that lets one job depend on variables
set when other jobs run (allowing, for example, one job to run only
when another job has finished successfully).


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%check
make check


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# Add a prelink blacklist.
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/prelink.conf.d
cat <<EOF >$RPM_BUILD_ROOT/%{_sysconfdir}/prelink.conf.d/%{name}.conf
-b %{_bindir}/whenjobs
-b %{_sbindir}/whenjobsd
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/prelink.conf.d/%{name}.conf
%{_bindir}/whenjobs
%{_sbindir}/whenjobsd
%{_libdir}/whenjobs/*.cmi
%{_libdir}/whenjobs/pa_when.cmo
%{_libdir}/whenjobs/whenlib.cma
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*


%changelog
* Fri Feb 17 2012 Richard W.M. Jones <rjones@redhat.com> - 0.0.4-1
- Initial release.
